#include "stringHelper.h"

#include <string>

static std::wstring_convert<std::codecvt_utf8_utf16<wchar_t>> conv;

std::wstring WideStringFromString(const std::string& input)
{
    std::wstring result;
    try
    {
        result = conv.from_bytes(input);
    }
    catch(const std::range_error&)
    {
        return L"";
    }
    return result;
}
